# sservice completion

_ssrv_cmds() {
  echo -e "list\nstart\nstop\nrestart\nreload\nstatus\nrun\nend\nenable\ndisable\nedit"
}

_ssrv() {
	COMPREPLY=()
	cur=${COMP_WORDS[COMP_CWORD]}
	#prev="${COMP_WORDS[COMP_CWORD-1]}"
	cmd="${COMP_WORDS[1]}"
	case "$cmd" in
		start|stop|restart|reload|status|run|end|enable|disable)
                        COMPREPLY=( $(compgen -W "$(ssrv list --short)" $cur) )
			return 0
			;;
		edit)
			COMPREPLY=( --skip-start )
			return 0
			;;
		*)
                        COMPREPLY=( $(compgen -W "$(_ssrv_cmds)" $cur) )
			return 0
			;;
	esac
}
complete -F _ssrv ssrv
